import request from '@/utils/request'

// 查询【需求提报】列表
export function listReport(query) {
  return request({
    url: '/mall/report/list',
    method: 'get',
    params: query
  })
}

// 查询【需求提报】详细
export function getReport(id) {
  return request({
    url: '/mall/report/' + id,
    method: 'get'
  })
}

// 新增【需求提报】
export function addReport(data) {
  return request({
    url: '/mall/report',
    method: 'post',
    data: data
  })
}

// 修改【需求提报】
export function updateReport(data) {
  return request({
    url: '/mall/report',
    method: 'put',
    data: data
  })
}

// 删除【需求提报】
export function delReport(id) {
  return request({
    url: '/mall/report/' + id,
    method: 'delete'
  })
}
